Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.connectionmanager
Interface CachedConnectionManagerMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  CachedConnectionManager

public interface CachedConnectionManagerMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`CachedConnectionManager` | `getInstance()` The Instance attribute simply holds the current instance, which is normally the only instance of CachedConnectionManager.
`int` | `getInUseConnections()` Get the inuse connections
`javax.management.ObjectName` | `getTransactionManagerServiceName()` Get the TransactionManagerServiceName value.
`boolean` | `isDebug()` Get the debug value.
`boolean` | `isSpecCompliant()` Get the SpecCompliant value.
`Map` | `listInUseConnections()` List the inuse connections
`void` | `setDebug(boolean value)` Set the Debug value.
`void` | `setSpecCompliant(boolean specCompliant)` Set the SpecCompliant value.
`void` | `setTransactionManagerServiceName(javax.management.ObjectName transactionManagerServiceName)` Set the TransactionManagerServiceName value.

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### isSpecCompliant

    public boolean isSpecCompliant()

  Get the SpecCompliant value.

  Returns:
    the SpecCompliant value.

### setSpecCompliant

    public void setSpecCompliant(boolean specCompliant)

  Set the SpecCompliant value.

  Parameters:
    `specCompliant` - The new SpecCompliant value.

### isDebug

    public boolean isDebug()

  Get the debug value.

  Returns:
    the debug value.

### setDebug

    public void setDebug(boolean value)

  Set the Debug value.

  Parameters:
    `value` - The new debug value.

### getTransactionManagerServiceName

    public javax.management.ObjectName getTransactionManagerServiceName()

  Get the TransactionManagerServiceName value.

  Returns:
    the TransactionManagerServiceName value.

### setTransactionManagerServiceName

    public void setTransactionManagerServiceName(javax.management.ObjectName transactionManagerServiceName)

  Set the TransactionManagerServiceName value.

  Parameters:
    `transactionManagerServiceName` - The new TransactionManagerServiceName value.

### getInstance

    public CachedConnectionManager getInstance()

  The Instance attribute simply holds the current instance, which is normally the only instance of CachedConnectionManager.

  Returns:
    a `CachedConnectionManager` value

### getInUseConnections

    public int getInUseConnections()

  Get the inuse connections

  Returns:
    the number of inuse connections

### listInUseConnections

    public Map listInUseConnections()

  List the inuse connections

  Returns:
    a map of connections to allocation stack traces

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.